公告ID: KYLIN-2019-11772
安全等级: 重要
产品: Kylin V3
发布日期: 2019年8月1日
CVE: CVE-2019-11772
CVSS3评分: 8.8
概述:
None 描述:
In Eclipse OpenJ9 prior to 0.15, the String.getBytes(int, int, byte[], int) method does not verify that the provided byte array is non-null nor that the provided index is in bounds when compiled by the JIT. This allows arbitrary writes to any 32-bit address or beyond the end of a byte array within Java code run under a SecurityManager. 系统版本:
KYLIN 3.2.x
KYLIN 3.2.x
KYLIN 3.3.x
KYLIN 3.3.x
KYLIN 3.4.x
受影响包列表:
java-1.8.0-ibm
java-1.7.1-ibm
java-1.8.0-ibm
java-1.7.1-ibm
java-1.8.0-ibm